Skip to main content

createAsset

Create an Asset

createAsset(
input: CreateAssetInput!
): CreateAssetPayload

Arguments​

createAsset.input ● CreateAssetInput! non-null input​

Parameters for CreateAsset

Type​

CreateAssetPayload object​

Autogenerated return type of CreateAsset.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateAsset($input: CreateAssetInput!) {\n createAsset(input: $input) { asset { id name activeDevelopers { __typename } } clientMutationId errors }\n}","variables":{"input":{"companyId":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute